KDE 4.9 PyKDE API Reference

- KDE's Python API

# KCmdLineOptions Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

Class that holds command line options.

This class is intended to be used with the KCmdLineArgs class, which provides convenient and powerful command line argument parsing and handling functionality.

See also:
  KCmdLineArgs for additional usage information

## Methods

| __init__ (self)
| __init__ (self, KCmdLineOptions options)
KCmdLineOptions | add (self, QByteArray name, KLocalizedString description=KLocalizedString(), QByteArray defaultValue=QByteArray())
KCmdLineOptions | add (self, KCmdLineOptions options)

## Method Documentation

__init__ | ( |  | self ) |

Constructor.

__init__ | ( | self, |
|  | KCmdLineOptions | options
| ) |  |  |

Copy constructor.

KCmdLineOptions add | ( | self, |
|  | QByteArray | name,
|  | KLocalizedString | description=KLocalizedString(),
|  | QByteArray | defaultValue=QByteArray()
| ) |  |  |

Add all options from another KCmdLineOptions object.

Parameters:

  | options | options to add

KCmdLineOptions add | ( | self, |
|  | KCmdLineOptions | options
| ) |  |  |

Add all options from another KCmdLineOptions object.

Parameters:

  | options | options to add